### File

`packages/eui/packages/components-next/src/lib/components/eui-picker/modal-picker/eui-modal-picker.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
styleUrls | `../styles/_index.scss`
templateUrl | `./eui-modal-picker.component.html`

### Index

###### Properties
Public config Public dataSrc Public filteredData Public form
###### Methods
clearInput toggleSelected

### Constructor

`constructor(config: any, euiDialogService: EuiDialogService, fb: FormBuilder)`
Parameters :
Name | Type | Optional
config | `any` | No
euiDialogService | `EuiDialogService` | No
fb | `FormBuilder` | No

### Methods

clearInput
`clearInput()`
Returns : `void`

toggleSelected
`toggleSelected(id: number)`
Parameters :
Name | Type | Optional
id | `number` | No
Returns : `void`

### Properties

Public config
Type : `any`
Decorators : `@Inject(DYNAMIC_COMPONENT_CONFIG)`

Public dataSrc
Type : `EuiPickerItem[]`

Public filteredData
Type : `EuiPickerItem[]`

Public form
Type : `FormGroup`

# result-matching ""

# No results matching ""